Subject: .pinerc problem with IRIX 6.2 and autofs

From: Kenneth Martig <[email-masked]>
Date: Tue, 27 Aug 1996 12:03:29 -0700

Hello,

I am running pine version 3.95 on an SGI Indigo2.  I just upgraded to IRIX
6.2 and started having problems.  We are using autofs (IRIX multithreaded
automounter) to share home directories between machines.  The home
directory is initially mounted as /a/mothra/home and then autofs creates a
/home tree and mounts the directory /home/mothra in place.  There is no
link created as with other automounter programs.  Other machines home
directories are mounted as /home/flames or whatever.

The problem is when you start up pine if your user account is on the local
machine, you get the error message:

Error writing /home/mothra/martig/.pinerc : Improper link

Trying to access the addressbook gives you the eror:

Error opening address book .addressbook: Improper link

If I set the home directory to point to /a/mothra/home/martig instead of
/home/mothra/martig, everything works fine.  If a user with a home
directory mounted from another machine (using autofs) starts up pine it
works fine. I am assuming that it has something to do with this second
mount of the home partition, but I don't know what to do about it.  I
can't just mount the home partition on /home/mothra because /home is
controlled by autofs. 

Any help you can give would be greatly appreciated.

Thanks,

Ken Martig
ZymoGenetics, Inc.
[email-masked]